Skip to content
Dashboard
Theme
Theme

List roles, highest priority first

GET /v1/authorization/roles: List roles, highest priority first.

View Markdown

GET /v1/authorization/roles

Scope
authorization:read
Auth
Secret key (sk_…)
Since
1.0
  • organization string

    Also list this organization’s own roles.

  • OhAuthCat-Version string

    Minor version; defaults to the environment’s pin.

Errors share one shape; see the error code catalogue.

curl -X GET \
"https://api.ohauthcat.com/v1/authorization/roles" \
-H "Authorization: Bearer $OHAUTHCAT_API_KEY"
Response 200
{
"object": "list",
"data": [
{
"id": "role_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"object": "role",
"organization": "org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"slug": "acme",
"name": "Acme Corp",
"description": "Primary SSO connection for Acme Corp.",
"priority": 0,
"permissions": [
"organizations:read"
],
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-15T09:30:00Z"
}
],
"has_more": true,
"next_cursor": "cur_01J9Z3K5V7W8X9Y0Z1A2B3C4D5"
}